#
# spec file for package xfce4-panel-plugin-mpc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-mpc-plugin
Name:           xfce4-panel-plugin-mpc
Version:        0.4.5
Release:        5.1
Summary:        MPD Client Plugin for the Xfce Panel
License:        ISC
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.4/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(libmpd)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Mpc plugin is a simple Music Player Daemon client which can control
playback and show the currently playing song.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libmpc.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/xfce4/panel/plugins/libmpc.so
%{_datadir}/xfce4/panel/plugins/xfce4-mpc-plugin.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Mar  4 2015 gber@opensuse.org
- update to version 0.4.5
  - send Play/Stop/Next/Previous command to MPD
  - decrease/increase volume using the mouse wheel
  - show the current volume, status and title as a tooltip when
    passing the mouse over the plugin
  - show a simple playlist window upon middle-click, permitting to
    select a track to play
  - configurable MPD host/port/password
  - toggles repeat/random features in the right-click menu
* Sun Jul  1 2012 gber@opensuse.org
- update to version 0.4.4
  - better compliance with the panel plugin HIG
  - fix wrong fr translation
* Mon May 14 2012 gber@opensuse.org
- update to version 0.4.3
  - compile the plugin as a module
  - fix xfce4-panel 4.9 detection
  - improve look on multirow panels
* Fri Apr 20 2012 gber@opensuse.org
- corrected license
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Tue Apr  3 2012 gber@opensuse.org
- specfile cleanup
- split off -lang subpackage
* Thu Feb 16 2012 gber@opensuse.org
- revert xfce4-panel-plugin-mpc-fix-installation-locations.patch
  %%{_datadir}/xfce4/panel/plugins and
  %%{_libdir}/xfce4/panelr/-plugins are preferred by upstream
* Sun Feb 12 2012 gber@opensuse.org
- update to version 0.4.0
  - migrated from libxfcegui4 to libxfce4ui
  - improved icon sizing/naming
  - icons names are taken from the icon-naming-spec
  - buttons are properly displayed/resized when the panel is
    resized or switched to vertical, or the frame is toggled on/off
  - background is now 'transparent'
- added xfce4-panel-plugin-mpc-fix-installation-locations.patch in
  order to install the plugin executable into
  %%{_libexecdir}/xfce4/panel-plugins and the desktop file into
  %%{_datadir}/xfce4/panel-plugins to be consistent with all other
  plugins
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
